Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision c4a60b707a50c3e9be6e5ee7db4c6b1fb8cf8595)
+++ chapter01/changelog.xml	(revision 31bf7e7f074b6c075977ba921623af69a1651ce5)
@@ -44,4 +44,42 @@
 -->
     <listitem>
+      <para>2018-11-21</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - Add "wheel" group to satisfy systemd
+          requirements. Fixes
+          <ulink url="&lfs-ticket-root;4376">#4376</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Add a sed to fix a bug in autoconf's test suite.
+          Fixes
+          <ulink url="&lfs-ticket-root;4372">#4372</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to tcl-8.6.9. Security update. Fixes
+          <ulink url="&lfs-ticket-root;4375">#4375</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to openssl-1.1.1a. This is a security
+          update. Fixes
+          <ulink url="&lfs-ticket-root;4379">#4379</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[renodr] - Update to systemd-239-25d1ba1. This fixes
+          three security problems in systemd. Fixes
+          <ulink url="&lfs-ticket-root;4377">#4377</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to linux-4.19.3. Fixes
+          <ulink url="&lfs-ticket-root;4373">#4373</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to elfutils-0.175. Fixes
+          <ulink url="&lfs-ticket-root;4374">#4374</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2018-11-19</para>
       <itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision c4a60b707a50c3e9be6e5ee7db4c6b1fb8cf8595)
+++ chapter01/whatsnew.xml	(revision 31bf7e7f074b6c075977ba921623af69a1651ce5)
@@ -219,7 +219,7 @@
       <para>Sysklogd-&sysklogd-version;</para>
     </listitem>-->
-    <!--<listitem revision="systemd">
+    <listitem revision="systemd">
       <para>Systemd-&systemd-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem revision="sysv">
       <para>SysVinit-&sysvinit-version;</para>
@@ -228,7 +228,7 @@
       <para>Tar-&tar-version;</para>
    </listitem>-->
-   <!--<listitem>
+   <listitem>
       <para>Tcl-&tcl-version;</para>
-   </listitem>-->
+   </listitem>
    <!--<listitem>
       <para>Texinfo-&texinfo-version;</para>
Index: chapter03/patches.xml
===================================================================
--- chapter03/patches.xml	(revision c4a60b707a50c3e9be6e5ee7db4c6b1fb8cf8595)
+++ chapter03/patches.xml	(revision 31bf7e7f074b6c075977ba921623af69a1651ce5)
@@ -126,5 +126,5 @@
     </varlistentry>
 -->
-
+<!--
     <varlistentry revision="systemd">
       <term>systemd glibc patch - <token>&systemd-glibc-patch-size;</token>:</term>
@@ -142,5 +142,5 @@
       </listitem>
     </varlistentry>
-
+    -->
 
   </variablelist>
Index: chapter06/autoconf.xml
===================================================================
--- chapter06/autoconf.xml	(revision c4a60b707a50c3e9be6e5ee7db4c6b1fb8cf8595)
+++ chapter06/autoconf.xml	(revision 31bf7e7f074b6c075977ba921623af69a1651ce5)
@@ -41,4 +41,8 @@
   <sect2 role="installation">
     <title>Installation of Autoconf</title>
+
+    <para>First, fix a bug generated by Perl 5.28.</para>
+
+<screen><userinput remap="pre">sed '361 s/{/\\{/' -i bin/autoscan.in</userinput></screen>
 
     <para>Prepare Autoconf for compilation:</para>
Index: chapter06/createfiles.xml
===================================================================
--- chapter06/createfiles.xml	(revision c4a60b707a50c3e9be6e5ee7db4c6b1fb8cf8595)
+++ chapter06/createfiles.xml	(revision 31bf7e7f074b6c075977ba921623af69a1651ce5)
@@ -265,4 +265,5 @@
 mail:x:34:
 kvm:x:61:
+wheel:x:97:
 nogroup:x:99:
 users:x:999:</literal>
Index: chapter06/systemd.xml
===================================================================
--- chapter06/systemd.xml	(revision c4a60b707a50c3e9be6e5ee7db4c6b1fb8cf8595)
+++ chapter06/systemd.xml	(revision 31bf7e7f074b6c075977ba921623af69a1651ce5)
@@ -59,5 +59,5 @@
 
 <screen><userinput remap="pre">sed '166,$ d' -i src/resolve/meson.build</userinput></screen>
-
+<!--
     <para>Apply a patch to fix a build failure with glibc-2.28:</para>
 
@@ -67,5 +67,5 @@
 
 <screen><userinput remap="pre">patch -Np1 -i ../systemd-&systemd-version;-meson-0.48.0_fixes-1.patch</userinput></screen>
-
+-->
     <para>Remove an unneeded group,
     <systemitem class="groupname">render</systemitem>, from the default udev
Index: general.ent
===================================================================
--- general.ent	(revision c4a60b707a50c3e9be6e5ee7db4c6b1fb8cf8595)
+++ general.ent	(revision 31bf7e7f074b6c075977ba921623af69a1651ce5)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20181119">
+<!ENTITY version         "SVN-20181121">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20181119-systemd">
+<!ENTITY versiond        "20181121-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "November 19, 2018">
+<!ENTITY releasedate     "November 21, 2018">
 
 <!ENTITY copyrightdate   "1999-2018"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: packages.ent
===================================================================
--- packages.ent	(revision c4a60b707a50c3e9be6e5ee7db4c6b1fb8cf8595)
+++ packages.ent	(revision 31bf7e7f074b6c075977ba921623af69a1651ce5)
@@ -153,8 +153,8 @@
 <!ENTITY e2fsprogs-ch6-sbu "1.6 SBU">
 
-<!ENTITY elfutils-version "0.174">
-<!ENTITY elfutils-size "8,497 KB">
+<!ENTITY elfutils-version "0.175">
+<!ENTITY elfutils-size "8,588 KB">
 <!ENTITY elfutils-url "https://sourceware.org/ftp/elfutils/&elfutils-version;/elfutils-&elfutils-version;.tar.bz2">
-<!ENTITY elfutils-md5 "48bec24c0c8b2c16820326956dff9378">
+<!ENTITY elfutils-md5 "9a02b0382b78cc2d515fb950275d4c02">
 <!ENTITY elfutils-home "https://sourceware.org/ftp/elfutils/">
 <!ENTITY elfutils-ch6-du "91 MB">
@@ -209,5 +209,5 @@
 <!ENTITY flex-url "&github;/westes/flex/releases/download/v&flex-version;/flex-&flex-version;.tar.gz">
 <!ENTITY flex-md5 "2882e3179748cc9f9c23ec593d6adc8d">
-<!ENTITY flex-home "&github;westes/flex">
+<!ENTITY flex-home "&github;/westes/flex">
 <!ENTITY flex-ch6-du "35 MB">
 <!ENTITY flex-ch6-sbu "0.4 SBU">
@@ -393,5 +393,5 @@
 <!ENTITY libcap-size "66 KB">
 <!ENTITY libcap-url "&kernel;linux/libs/security/linux-privs/libcap2/libcap-&libcap-version;.tar.xz">
-<!ENTITY libcap-md5 "6666b839e5d46c2ad33fc8aa2ceb5f77">
+<!ENTITY libcap-md5 "968ac4d42a1a71754313527be2ab5df3">
 <!ENTITY libcap-home "https://sites.google.com/site/fullycapable/">
 <!ENTITY libcap-ch6-du "1.4 MB">
@@ -424,10 +424,10 @@
 <!ENTITY linux-major-version "4">
 <!ENTITY linux-minor-version "19">
-<!ENTITY linux-patch-version "1">
+<!ENTITY linux-patch-version "3">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "100,695 KB">
+<!ENTITY linux-size "100,708 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "6de5f0c6c0eb5d27386579894fcf31ab">
+<!ENTITY linux-md5 "e866e88303fcb12a614e1c0fce2c1d41">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
@@ -520,8 +520,8 @@
 <!ENTITY ninja-ch6-sbu "0.2 SBU">
 
-<!ENTITY openssl-version "1.1.1">
-<!ENTITY openssl-size "8,143 KB">
+<!ENTITY openssl-version "1.1.1a">
+<!ENTITY openssl-size "8,160 KB">
 <!ENTITY openssl-url "https://openssl.org/source/openssl-&openssl-version;.tar.gz">
-<!ENTITY openssl-md5 "7079eb017429e0ffb9efb42bf80ccb21">
+<!ENTITY openssl-md5 "963deb2272d6be7d4c2458afd2517b73">
 <!ENTITY openssl-home "https://www.openssl.org/">
 <!ENTITY openssl-ch6-du "75 MB">
@@ -622,12 +622,13 @@
 <!ENTITY sysklogd-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY systemd-version  "239">
-<!ENTITY systemd-size     "6,992 KB">
-<!ENTITY systemd-url      "&github;/systemd/systemd/archive/v&systemd-version;/systemd-&systemd-version;.tar.gz">
-<!ENTITY systemd-md5      "6137e3f50390391cf34521d071a1a078">
+<!ENTITY systemd-version  "239-25d1ba1">
+<!ENTITY systemd-size     "4,756 KB">
+<!--<!ENTITY systemd-url      "&github;/systemd/systemd/archive/v&systemd-version;/systemd-&systemd-version;.tar.gz">-->
+<!ENTITY systemd-url      "&anduin-sources;/systemd-&systemd-version;.tar.xz">
+<!ENTITY systemd-md5      "bc2e05fead7a3ef1dc0c72218de0f941">
 <!ENTITY systemd-home     "https://www.freedesktop.org/wiki/Software/systemd/">
-<!ENTITY systemd-man-size "356 KB">
+<!ENTITY systemd-man-size "360 KB">
 <!ENTITY systemd-man-url  "&anduin-sources;/systemd-man-pages-&systemd-version;.tar.xz">
-<!ENTITY systemd-man-md5  "b3be99a8fff33c773f034151b16eb1b8">
+<!ENTITY systemd-man-md5  "8ac07e31cb62dd68946c63c9ec4e0bed">
 <!ENTITY systemd-ch6-du   "297 MB">
 <!ENTITY systemd-ch6-sbu  "1.1 SBU">
@@ -651,9 +652,9 @@
 <!ENTITY tar-ch6-sbu "2.8 SBU">
 
-<!ENTITY tcl-version "8.6.8">
+<!ENTITY tcl-version "8.6.9">
 <!ENTITY tcl-major-version "8.6">
-<!ENTITY tcl-size "9,665 KB">
+<!ENTITY tcl-size "9,772 KB">
 <!ENTITY tcl-url "https://downloads.sourceforge.net/tcl/tcl&tcl-version;-src.tar.gz">
-<!ENTITY tcl-md5 "81656d3367af032e0ae6157eff134f89">
+<!ENTITY tcl-md5 "aa0a121d95a0e7b73a036f26028538d4">
 <!ENTITY tcl-home "http://tcl.sourceforge.net/">
 <!ENTITY tcl-ch5-du "66 MB">
Index: patches.ent
===================================================================
--- patches.ent	(revision c4a60b707a50c3e9be6e5ee7db4c6b1fb8cf8595)
+++ patches.ent	(revision 31bf7e7f074b6c075977ba921623af69a1651ce5)
@@ -63,5 +63,5 @@
 <!ENTITY systemd-security-patch-size "4 KB">
 -->
-
+<!--
 <!ENTITY systemd-glibc-patch "systemd-&systemd-version;-glibc_statx_fix-1.patch">
 <!ENTITY systemd-glibc-patch-md5 "a44057d6a6ca69760bafc126458d89e5">
@@ -71,3 +71,3 @@
 <!ENTITY systemd-meson-patch-md5 "0e12e0722bd6bb84e8a4ec4de8979722">
 <!ENTITY systemd-meson-patch-size "4 KB">
-
+-->