Index: chapter05/bzip2-inst.xml
===================================================================
--- chapter05/bzip2-inst.xml	(revision 624fe9515e30944c35363b646b0b0cde87eeb802)
+++ chapter05/bzip2-inst.xml	(revision 32cee45c7138e9385d0341d093a03d7f660ec749)
@@ -13,5 +13,5 @@
 xv or tar --use-compress-prog=bunzip2 -xvf file.tar.bz2 to use bzip2 and
 bunzip2 with tar. This patch provides the -j option so you can unpack a
-Bzip2 archive with tar xvfj file.tar.bz2. Applying this patch will be
+bzip2'ed archive with tar xvfj file.tar.bz2. Applying this patch will be
 mentioned later on when the Tar package is installed.</para>
 
Index: chapter05/fileutils-inst.xml
===================================================================
--- chapter05/fileutils-inst.xml	(revision 624fe9515e30944c35363b646b0b0cde87eeb802)
+++ chapter05/fileutils-inst.xml	(revision 32cee45c7138e9385d0341d093a03d7f660ec749)
@@ -4,11 +4,11 @@
 <para>The programs from a statically linked Fileutils package may cause
 segmentation faults on certain systems, if your distribution has
-Glibc-2.2.3 or higher installed. It also seems to happen mostly on machines
+Glibc-2.2.3 or higher installed. It seems to happen mostly on machines
 powered by an AMD CPU, but there is a case or two where an Intel system
-is affected as well. If your system falls under this category, try the
+is affected as well. If your system falls in this category, try the
 following fix.</para>
 
 <para>Note that in some cases using these sed commands will result in
-problems not being able to compile this package at all, even when your
+not being able to compile this package at all, even when your
 system has an AMD CPU and has Glibc-2.2.3 (or higher) installed. If that's 
 the case, you'll need to remove the fileutils-&fileutils-version; directory
Index: chapter05/gcc-exp.xml
===================================================================
--- chapter05/gcc-exp.xml	(revision 624fe9515e30944c35363b646b0b0cde87eeb802)
+++ chapter05/gcc-exp.xml	(revision 32cee45c7138e9385d0341d093a03d7f660ec749)
@@ -3,6 +3,6 @@
 
 <para><userinput>patch -Np1 -i ../gcc-&gcc-patch-version;.patch:</userinput>
-This new patch deals with incorrect handling of weak symbols, the 
-over-optimization of calls to those weak symbols, an atexit issue and
+This patch deals with the incorrect handling of weak symbols, the 
+over-optimization of calls to those weak symbols, an atexit issue, and
 the  __dso_handle symbol required for atexit's proper function.</para>
 
Index: chapter05/installasuser.xml
===================================================================
--- chapter05/installasuser.xml	(revision 624fe9515e30944c35363b646b0b0cde87eeb802)
+++ chapter05/installasuser.xml	(revision 32cee45c7138e9385d0341d093a03d7f660ec749)
@@ -38,5 +38,5 @@
 
 <para>This profile makes sure the umask is set to 022 so newly created
-files and directories will have the correct permission. It is advisable
+files and directories will have the correct permissions. It is advisable
 to keep this setting throughout your LFS installation. Also, the $LFS
 and $LC_ALL environment variables are set. $LFS has been explained in
Index: chapter05/introduction.xml
===================================================================
--- chapter05/introduction.xml	(revision 624fe9515e30944c35363b646b0b0cde87eeb802)
+++ chapter05/introduction.xml	(revision 32cee45c7138e9385d0341d093a03d7f660ec749)
@@ -22,5 +22,5 @@
 <para>All the files from this chapter will be installed under the <filename
 class="directory">$LFS/static</filename> directory. By doing it this way,
-we keep the installation from this chapter seperate from the final
+we keep the installation from this chapter separate from the final
 installation in the next chapter. Everything done here is only temporarily
 so we don't want it to pollute the to-be LFS system.</para>
Index: chapter05/make-inst.xml
===================================================================
--- chapter05/make-inst.xml	(revision 624fe9515e30944c35363b646b0b0cde87eeb802)
+++ chapter05/make-inst.xml	(revision 32cee45c7138e9385d0341d093a03d7f660ec749)
@@ -15,8 +15,8 @@
 privileges to complete the installation of /mnt/lfs/static/bin/make.</screen></blockquote>
 
-<para>You can safely ignore this warning. make doesn't need to be owned by
-group kmem and setgid for the <emphasis>-l</emphasis> option to work (which
-you can use to tell make not to start any new jobs when a certain load on
-the system is reached).</para>
+<para>You can safely ignore this warning. The make program doesn't actually need to be owned by
+group kmem and setgid for the <emphasis>-l</emphasis> option to work. (This option
+tells make not to start any new jobs when a certain load on
+the system has been reached.)</para>
 
 </sect2>
Index: chapter05/patch-exp.xml
===================================================================
--- chapter05/patch-exp.xml	(revision 624fe9515e30944c35363b646b0b0cde87eeb802)
+++ chapter05/patch-exp.xml	(revision 32cee45c7138e9385d0341d093a03d7f660ec749)
@@ -3,8 +3,7 @@
 
 <para><userinput>CPPFLAGS=-D_GNU_SOURCE: </userinput>
-Adding <userinput>-D_GNU_SOURCE</userinput> to CPPFLAGS command before
-we configure patch fixes installation of the package on PPC and m68k
-platforms (that we know of).  It also doesn't hurt compilation on other
-platforms (such as x86) so we do it by default.</para>
+This flag fixes installation problems of this package on PPC and m68k
+platforms (that we know of).  It doesn't hurt compilation on other
+platforms (such as x86); so we do it by default.</para>
 
 </sect2>
Index: chapter05/shellutils-inst.xml
===================================================================
--- chapter05/shellutils-inst.xml	(revision 624fe9515e30944c35363b646b0b0cde87eeb802)
+++ chapter05/shellutils-inst.xml	(revision 32cee45c7138e9385d0341d093a03d7f660ec749)
@@ -15,7 +15,7 @@
 
 <para>You can safely ignore that warning. You need to be logged in as root
-in order to install su the way sh-utils wants to install it, that being
+in order to install su the way Sh-utils wants to install it, which is being
 suid root. Because we don't need su during chapter 6, and su will be properly
-installed when we re-install sh-utils in chapter 6 anyways, you can just
+installed when we re-install Sh-utils in chapter 6, you can just
 pretend you didn't see it.</para>
 
Index: chapter05/utillinux-inst.xml
===================================================================
--- chapter05/utillinux-inst.xml	(revision 624fe9515e30944c35363b646b0b0cde87eeb802)
+++ chapter05/utillinux-inst.xml	(revision 32cee45c7138e9385d0341d093a03d7f660ec749)
@@ -1,9 +1,9 @@
 <sect2>
-<title>Installation of Util-Linux</title>
+<title>Installation of Util-linux</title>
 
 <para>We only need the mount and umount programs at the moment, so we won't
 be compiling the entire package.</para>
 
-<para>Install Util-Linux by running the following commands:</para>
+<para>Install Util-linux by running the following commands:</para>
 
 <para><screen><userinput>./configure &amp;&amp;
Index: chapter05/whystatic.xml
===================================================================
--- chapter05/whystatic.xml	(revision 624fe9515e30944c35363b646b0b0cde87eeb802)
+++ chapter05/whystatic.xml	(revision 32cee45c7138e9385d0341d093a03d7f660ec749)
@@ -3,6 +3,6 @@
 <?dbhtml filename="whystatic.html" dir="chapter05"?>
 
-<para>Thanks to Plasmatic for posting the text on which this is mainly
-based to one of the LFS mailing lists.</para>
+<para>(Thanks to Plasmatic for posting the text on which this is mainly
+based to one of the LFS mailing lists.)</para>
 
 <para>When making (compiling) a program, rather than having to rewrite all the
@@ -17,7 +17,7 @@
 
 <para>However, these libraries can be very large (for example, libc.a
-can often be around 2.5MB), so you may not want a separate copy of each
+can often be around 2.5 MB), so you may not want a separate copy of each
 library attached to the program. Just imagine if you had a simple command
-like ls with an extra 2.5MB attached to it! Instead of making the library
+like ls with an extra 2.5 MB attached to it! Instead of making the library
 an actual part of the program, or statically linked, the library is kept a
 separate file, which is loaded only when the program needs it. This is what
@@ -25,5 +25,5 @@
 as the program needs it.</para>
 
-<para>So now we have a 1KB file and a 2.5MB file, but we still haven't saved any
+<para>So now we have a 1 KB file and a 2.5 MB file, but we still haven't saved any
 space (except maybe RAM until the library is needed). The REAL advantage to
 dynamically linked libraries is that we only need one copy of the library.