Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 53eeda098e7461a9f832dd20c63592fea649659f)
+++ chapter01/changelog.xml	(revision 33d608db5af282cc0e2d6cb38b453c9c6a9cf7df)
@@ -38,4 +38,14 @@
 -->
     <listitem>
+      <para>2008-10-26</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Remove unnecessary mandir patch.  Updated 
+          vim package contents.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2008-10-25</para>
       <itemizedlist>
Index: chapter03/patches.xml
===================================================================
--- chapter03/patches.xml	(revision 53eeda098e7461a9f832dd20c63592fea649659f)
+++ chapter03/patches.xml	(revision 33d608db5af282cc0e2d6cb38b453c9c6a9cf7df)
@@ -118,6 +118,6 @@
       <term>Glibc Iconv Test Fixes Patch - <token>&glibc-iconv-test-fixes-patch-size;</token>:</term>
       <listitem>
-	<para>Download: <ulink url="&patches-root;&glibc-iconv-test-fixes-patch;"/></para>
-	<para>MD5 sum: <literal>&glibc-iconv-test-fixes-patch-md5;</literal></para>
+        <para>Download: <ulink url="&patches-root;&glibc-iconv-test-fixes-patch;"/></para>
+        <para>MD5 sum: <literal>&glibc-iconv-test-fixes-patch-md5;</literal></para>
       </listitem>
     </varlistentry>
@@ -126,6 +126,6 @@
       <term>Glibc Ildoubl Test Fix Patch - <token>&glibc-ildoubl-test-fix-patch-size;</token>:</term>
       <listitem>
-	<para>Download: <ulink url="&patches-root;&glibc-ildoubl-test-fix-patch;"/></para>
-	<para>MD5 sum: <literal>&glibc-ildoubl-test-fix-patch-md5;</literal></para>
+        <para>Download: <ulink url="&patches-root;&glibc-ildoubl-test-fix-patch;"/></para>
+        <para>MD5 sum: <literal>&glibc-ildoubl-test-fix-patch-md5;</literal></para>
       </listitem>
     </varlistentry>
@@ -134,6 +134,6 @@
       <term>Grep Debian Patch - <token>&grep-debian-patch-size;</token>:</term>
       <listitem>
-	<para>Download: <ulink url="&patches-root;&grep-debian-patch;"/></para>
-	<para>MD5 sum: <literal>&grep-debian-patch-md5;</literal></para>
+        <para>Download: <ulink url="&patches-root;&grep-debian-patch;"/></para>
+        <para>MD5 sum: <literal>&grep-debian-patch-md5;</literal></para>
       </listitem>
     </varlistentry>
@@ -251,5 +251,4 @@
     </varlistentry> -->
 
-
     <varlistentry>
       <term>Vim Fixes Patch - <token>&vim-fixes-patch-size;</token>:</term>
@@ -260,5 +259,5 @@
     </varlistentry>
 
-    <varlistentry>
+    <!-- <varlistentry>
       <term>Vim Man Directories Patch - <token>&vim-mandir-patch-size;</token>:</term>
       <listitem>
@@ -266,5 +265,5 @@
         <para>MD5 sum: <literal>&vim-mandir-patch-md5;</literal></para>
       </listitem>
-    </varlistentry>
+    </varlistentry> -->
 
   </variablelist>
Index: chapter06/vim.xml
===================================================================
--- chapter06/vim.xml	(revision 53eeda098e7461a9f832dd20c63592fea649659f)
+++ chapter06/vim.xml	(revision 33d608db5af282cc0e2d6cb38b453c9c6a9cf7df)
@@ -61,4 +61,5 @@
 <screen><userinput remap="pre">patch -Np1 -i ../&vim-fixes-patch;</userinput></screen>
 
+<!--
     <para>This version of Vim installs translated man pages and places
     them into directories that will not be searched by Man-DB. Patch Vim
@@ -68,6 +69,6 @@
 
 <screen><userinput remap="pre">patch -Np1 -i ../&vim-mandir-patch;</userinput></screen>
-
-    <para>Finally, change the default location of the
+-->
+    <para>Change the default location of the
     <filename>vimrc</filename> configuration file to <filename
     class="directory">/etc</filename>:</para>
@@ -214,8 +215,7 @@
 
       <seglistitem>
-        <seg>efm_filter.pl, efm_perl.pl, ex (link to vim), less.sh, mve.awk,
-        pltags.pl, ref, rview (link to vim), rvim (link to vim), shtags.pl,
-        vi (link to vim), view (link to vim), vim, vim132, vim2html.pl,
-        vimdiff (link to vim), vimm, vimspell.sh, vimtutor, and xxd</seg>
+        <seg>ex (link to vim), rview (link to vim), rvim (link to vim), 
+        vi (link to vim), view (link to vim), vim, 
+        vimdiff (link to vim), vimtutor, and xxd</seg>
       </seglistitem>
     </segmentedlist>
@@ -226,26 +226,4 @@
       <?dbhtml list-presentation="table"?>
 
-      <varlistentry id="efm_filter.pl">
-        <term><command>efm_filter.pl</command></term>
-        <listitem>
-          <para>A filter for creating an error file that can be read
-          by <command>vim</command></para>
-          <indexterm zone="ch-system-vim efm_filter.pl">
-            <primary sortas="b-efm_filter.pl">efm_filter.pl</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="efm_perl.pl">
-        <term><command>efm_perl.pl</command></term>
-        <listitem>
-          <para>Reformats the error messages of the Perl interpreter for use
-          with the <quote>quickfix</quote> mode of <command>vim</command></para>
-          <indexterm zone="ch-system-vim efm_perl.pl">
-            <primary sortas="b-efm_perl.pl">efm_perl.pl</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="ex">
         <term><command>ex</command></term>
@@ -254,45 +232,4 @@
           <indexterm zone="ch-system-vim ex">
             <primary sortas="b-ex">ex</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="less.sh">
-        <term><command>less.sh</command></term>
-        <listitem>
-          <para>A script that starts <command>vim</command> with less.vim</para>
-          <indexterm zone="ch-system-vim less.sh">
-            <primary sortas="b-less.sh">less.sh</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="mve.awk">
-        <term><command>mve.awk</command></term>
-        <listitem>
-          <para>Processes <command>vim</command> errors</para>
-          <indexterm zone="ch-system-vim mve.awk">
-            <primary sortas="b-mve.awk">mve.awk</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="pltags.pl">
-        <term><command>pltags.pl</command></term>
-        <listitem>
-          <para>Creates a tags file for Perl code for use by
-          <command>vim</command></para>
-          <indexterm zone="ch-system-vim pltags.pl">
-            <primary sortas="b-pltags.pl">pltags.pl</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="ref">
-        <term><command>ref</command></term>
-        <listitem>
-          <para>Checks the spelling of arguments</para>
-          <indexterm zone="ch-system-vim ref">
-            <primary sortas="b-ref">ref</primary>
           </indexterm>
         </listitem>
@@ -323,14 +260,4 @@
       </varlistentry>
 
-      <varlistentry id="shtags.pl">
-        <term><command>shtags.pl</command></term>
-        <listitem>
-          <para>Generates a tags file for Perl scripts</para>
-          <indexterm zone="ch-system-vim shtags.pl">
-            <primary sortas="b-shtags.pl">shtags.pl</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="vi">
         <term><command>vi</command></term>
@@ -359,26 +286,4 @@
           <indexterm zone="ch-system-vim vim">
             <primary sortas="b-vim">vim</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="vim132">
-        <term><command>vim132</command></term>
-        <listitem>
-          <para>Starts <command>vim</command> with the terminal in 132-column
-          mode</para>
-          <indexterm zone="ch-system-vim vim132">
-            <primary sortas="b-vim132">vim132</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="vim2html.pl">
-        <term><command>vim2html.pl</command></term>
-        <listitem>
-          <para>Converts Vim documentation to HypterText Markup Language
-          (HTML)</para>
-          <indexterm zone="ch-system-vim vim2html.pl">
-            <primary sortas="b-vim2html.pl">vim2html.pl</primary>
           </indexterm>
         </listitem>
@@ -396,27 +301,4 @@
       </varlistentry>
 
-      <varlistentry id="vimm">
-        <term><command>vimm</command></term>
-        <listitem>
-          <para>Enables the DEC locator input model on a remote terminal</para>
-          <indexterm zone="ch-system-vim vimm">
-            <primary sortas="b-vimm">vimm</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="vimspell.sh">
-        <term><command>vimspell.sh</command></term>
-        <listitem>
-          <para>Spell checks a file and generates the syntax statements
-          necessary to highlight in <command>vim</command>. This script
-          requires the old Unix <command>spell</command> command, which
-          is provided neither in LFS nor in BLFS</para>
-          <indexterm zone="ch-system-vim vimspell.sh">
-            <primary sortas="b-vimspell.sh">vimspell.sh</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="vimtutor">
         <term><command>vimtutor</command></term>
Index: patches.ent
===================================================================
--- patches.ent	(revision 53eeda098e7461a9f832dd20c63592fea649659f)
+++ patches.ent	(revision 33d608db5af282cc0e2d6cb38b453c9c6a9cf7df)
@@ -146,5 +146,5 @@
 <!ENTITY vim-fixes-patch-size "29.3 KB">
 
-<!ENTITY vim-mandir-patch "vim-&vim-version;-mandir-1.patch">
+<!-- <!ENTITY vim-mandir-patch "vim-&vim-version;-mandir-1.patch">
 <!ENTITY vim-mandir-patch-md5 "b6426eb4192faba1e867ddd502323f5b">
-<!ENTITY vim-mandir-patch-size "4.2 KB">
+<!ENTITY vim-mandir-patch-size "4.2 KB"> -->