Index: chapter02/aboutlfs.xml
===================================================================
--- chapter02/aboutlfs.xml	(revision ce9b68d15814efabe161e81f2ac678f0ad4a34f8)
+++ chapter02/aboutlfs.xml	(revision 34fe7e07cd3bc2dad0521e51ba3bbe78de45a671)
@@ -58,5 +58,6 @@
   user's <filename>.bash_profile</filename> is not normally used when
   a virtual terminal is started.  In this case, add the export command to
-  the <filename>.bashrc</filename> file for the user and root.  In addition, 
+  the <filename>.bashrc</filename> file for the user and
+  <systemitem class="username">root</systemitem>.  In addition, 
   some distributions have instructions to not run the <filename>.bashrc</filename> 
   instructions in a non-interactive bash invocation.  Be sure to add the
Index: chapter02/stages.xml
===================================================================
--- chapter02/stages.xml	(revision ce9b68d15814efabe161e81f2ac678f0ad4a34f8)
+++ chapter02/stages.xml	(revision 34fe7e07cd3bc2dad0521e51ba3bbe78de45a671)
@@ -26,7 +26,8 @@
     <itemizedlist>
       <listitem>
-        <para>Procedures done as the root user after Section 2.4 need to 
-        have the LFS environment variable set <emphasis>FOR THE ROOT
-        USER</emphasis>.</para>
+        <para>Procedures done as the
+        <systemitem class="username">root</systemitem> user after Section
+        2.4 need to have the LFS environment variable set
+        <emphasis>FOR THE ROOT USER</emphasis>.</para>
       </listitem>
     </itemizedlist>
@@ -42,5 +43,6 @@
 
       <listitem>
-        <para>Threse two chapters must be done as user <emphasis>lfs</emphasis>.
+        <para>These two chapters <emphasis>must</emphasis> be done as user
+        <systemitem class="username">lfs</systemitem>.
         A <command>su - lfs</command> needs to be done before any task in these
         chapters. Failing to do that, you are at risk of installing packages to the
@@ -69,10 +71,13 @@
         <para>A few operations, from <quote>Changing Ownership</quote> to
         <quote>Entering the Chroot Environment</quote> must be done as the
-        root user, with the LFS environment variable set for the root user.</para>
+        <systemitem class="username">root</systemitem> user, with the LFS
+        environment variable set for the
+        <systemitem class="username">root</systemitem>user.</para>
       </listitem>
 
       <listitem>
          <para> When entering chroot, the LFS environment variable must be set
-         for root. The LFS variable is not used afterwards.</para>
+         for <systemitem class="username">root</systemitem>. The LFS
+         variable is not used afterwards.</para>
       </listitem>
 
@@ -80,5 +85,6 @@
          <para> The virtual file systems must be mounted.  This can be done
          before or after entering chroot by changing to a host virtual terminal
-         and, as root, running the commands in 
+         and, as <systemitem class="username">root</systemitem>, running the
+         commands in 
          <xref linkend='ch-tools-bindmount'/> and 
          <xref linkend='ch-tools-kernfsmount'/>.</para>
Index: chapter05/glibc.xml
===================================================================
--- chapter05/glibc.xml	(revision ce9b68d15814efabe161e81f2ac678f0ad4a34f8)
+++ chapter05/glibc.xml	(revision 34fe7e07cd3bc2dad0521e51ba3bbe78de45a671)
@@ -148,8 +148,9 @@
 
     <warning><para>If <envar>LFS</envar> is not properly set, and despite the
-    recommendations, you are building as root, the next command will install
-    the newly built glibc to your host system, which most likely will render it
-    unusable. So double check that the environment is correctly set for user
-    <systemitem class="username">lfs</systemitem>.</para></warning>
+    recommendations, you are building as
+    <systemitem class="username">root</systemitem>, the next command will
+    install the newly built glibc to your host system, which most likely
+    will render it unusable. So double check that the environment is
+    correctly set, before running the following command.</para></warning>
 
 <screen><userinput remap="install">make DESTDIR=$LFS install</userinput></screen>
Index: chapter06/introduction.xml
===================================================================
--- chapter06/introduction.xml	(revision ce9b68d15814efabe161e81f2ac678f0ad4a34f8)
+++ chapter06/introduction.xml	(revision 34fe7e07cd3bc2dad0521e51ba3bbe78de45a671)
@@ -23,5 +23,6 @@
 
   <para>Once again, let us recall that improper setting of <envar>LFS</envar>
-  together with building as root, may render your computer unusable.
+  together with building as <systemitem class="username">root</systemitem>,
+  may render your computer unusable.
   This whole chapter must be done as user <systemitem
   class="username">lfs</systemitem>, with the environment as described in
Index: chapter08/coreutils.xml
===================================================================
--- chapter08/coreutils.xml	(revision ce9b68d15814efabe161e81f2ac678f0ad4a34f8)
+++ chapter08/coreutils.xml	(revision 34fe7e07cd3bc2dad0521e51ba3bbe78de45a671)
@@ -88,5 +88,5 @@
         <listitem>
           <para>This environment variable allows the package to be 
-          built as the root user.
+          built as the <systemitem class="username">root</systemitem> user.
           </para>
         </listitem>
Index: chapter08/tar.xml
===================================================================
--- chapter08/tar.xml	(revision ce9b68d15814efabe161e81f2ac678f0ad4a34f8)
+++ chapter08/tar.xml	(revision 34fe7e07cd3bc2dad0521e51ba3bbe78de45a671)
@@ -57,6 +57,8 @@
         <listitem>
           <para>This forces the test for <function>mknod</function> to be run
-          as root.  It is generally considered dangerous to run this test as
-          the root user, but as it is being run on a system that has only been
+          as <systemitem class="username">root</systemitem>.
+          It is generally considered dangerous to run this test as
+          the <systemitem class="username">root</systemitem> user, but as it
+          is being run on a system that has only been
           partially built, overriding it is OK.</para>
         </listitem>
Index: chapter08/util-linux.xml
===================================================================
--- chapter08/util-linux.xml	(revision ce9b68d15814efabe161e81f2ac678f0ad4a34f8)
+++ chapter08/util-linux.xml	(revision 34fe7e07cd3bc2dad0521e51ba3bbe78de45a671)
@@ -89,5 +89,6 @@
     <para>If desired, run the test suite as a non-root user:</para>
 
-    <warning><para>Running the test suite as the root user can be harmful to
+    <warning><para>Running the test suite as the
+    <systemitem class="username">root</systemitem> user can be harmful to
     your system.  To run it, the CONFIG_SCSI_DEBUG option for the kernel must
     be available in the currently running system and must be built as a
Index: chapter09/systemd-custom.xml
===================================================================
--- chapter09/systemd-custom.xml	(revision ce9b68d15814efabe161e81f2ac678f0ad4a34f8)
+++ chapter09/systemd-custom.xml	(revision 34fe7e07cd3bc2dad0521e51ba3bbe78de45a671)
@@ -42,5 +42,6 @@
 
     <para>The boot messages can always be reviewed by using the
-    <userinput>journalctl -b</userinput> command as the root user.</para>
+    <userinput>journalctl -b</userinput> command as the
+    <systemitem class="username">root</systemitem> user.</para>
 
   </sect2>