Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision c81b68d1dd4d0825e2b92140e6ad8505b71888ad)
+++ chapter01/changelog.xml	(revision 35cc66fcba2e1b810fd7e31bc07a07852d880a25)
@@ -36,4 +36,21 @@
     </listitem>
 -->
+
+    <listitem>
+      <para>2015-11-06</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Add glibc-2.22-largefile-1.patch.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-4.3. Fixes
+          <ulink url="&lfs-ticket-root;3857">#3857</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to iproute2-4.3.0. Fixes
+          <ulink url="&lfs-ticket-root;3858">#3858</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision c81b68d1dd4d0825e2b92140e6ad8505b71888ad)
+++ chapter01/whatsnew.xml	(revision 35cc66fcba2e1b810fd7e31bc07a07852d880a25)
@@ -125,7 +125,7 @@
       <para>Intltool-&intltool-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>IPRoute2 &iproute2-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Kbd &kbd-version;</para>
@@ -245,7 +245,7 @@
     <listitem><para></para></listitem>  <!-- satisfy build -->
 
-    <!--<listitem>
-      <para>&bash-fixes-patch;</para>
-    </listitem>-->
+    <listitem>
+      <para>&glibc-largefile-patch;</para>
+    </listitem>
 
     <!--<listitem>
Index: chapter03/patches.xml
===================================================================
--- chapter03/patches.xml	(revision c81b68d1dd4d0825e2b92140e6ad8505b71888ad)
+++ chapter03/patches.xml	(revision 35cc66fcba2e1b810fd7e31bc07a07852d880a25)
@@ -68,4 +68,12 @@
 
     <varlistentry>
+      <term>Glibc Largefile Patch - <token>&glibc-largefile-patch-size;</token>:</term>
+      <listitem>
+        <para>Download: <ulink url="&patches-root;&glibc-largefile-patch;"/></para>
+        <para>MD5 sum: <literal>&glibc-largefile-patch-md5;</literal></para>
+      </listitem>
+    </varlistentry>
+
+    <varlistentry>
       <term>Kbd Backspace/Delete Fix Patch - <token>&kbd-backspace-patch-size;</token>:</term>
       <listitem>
Index: chapter06/glibc.xml
===================================================================
--- chapter06/glibc.xml	(revision c81b68d1dd4d0825e2b92140e6ad8505b71888ad)
+++ chapter06/glibc.xml	(revision 35cc66fcba2e1b810fd7e31bc07a07852d880a25)
@@ -72,4 +72,9 @@
 
 <screen><userinput remap="pre">patch -Np1 -i ../&glibc-upstream-patch;</userinput></screen>
+
+    <para>The most recent stable version of Glibc does not handle large files
+    correctly.  Fix the problem with this patch:</para>
+
+<screen><userinput remap="pre">patch -Np1 -i ../&glibc-largefile-patch;</userinput></screen>
 
     <para>The Glibc documentation recommends building Glibc outside of the source
Index: general.ent
===================================================================
--- general.ent	(revision c81b68d1dd4d0825e2b92140e6ad8505b71888ad)
+++ general.ent	(revision 35cc66fcba2e1b810fd7e31bc07a07852d880a25)
@@ -1,6 +1,6 @@
-<!ENTITY version         "SVN-20151102">
+<!ENTITY version         "SVN-20151106">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book;. Change to x.y for release 
                                       but not -rc releases -->
-<!ENTITY releasedate     "November 2, 2015">
+<!ENTITY releasedate     "November 6, 2015">
 <!ENTITY copyrightdate   "1999-2015"><!-- jhalfs needs a literal dash, not &ndash; -->
 <!ENTITY milestone       "7.9">
Index: packages.ent
===================================================================
--- packages.ent	(revision c81b68d1dd4d0825e2b92140e6ad8505b71888ad)
+++ packages.ent	(revision 35cc66fcba2e1b810fd7e31bc07a07852d880a25)
@@ -317,8 +317,8 @@
 <!ENTITY intltool-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY iproute2-version "4.2.0">
-<!ENTITY iproute2-size "495 KB">
+<!ENTITY iproute2-version "4.3.0">
+<!ENTITY iproute2-size "514 KB">
 <!ENTITY iproute2-url "&kernel;linux/utils/net/iproute2/iproute2-&iproute2-version;.tar.xz">
-<!ENTITY iproute2-md5 "51c54cc3245eff451154938fbc0f64f5">
+<!ENTITY iproute2-md5 "1a2bbb80cfc7ab3f3e987e18b3207c2f">
 <!ENTITY iproute2-home "&kernel;linux/utils/net/iproute2/">
 <!ENTITY iproute2-ch6-du "9.4 MB">
@@ -382,11 +382,11 @@
 
 <!ENTITY linux-major-version "4">
-<!ENTITY linux-minor-version "2">
-<!ENTITY linux-patch-version "5">
-<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
-<!ENTITY linux-size "83,534 KB">
+<!ENTITY linux-minor-version "3">
+<!ENTITY linux-patch-version "0">
+<!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">-->
+<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">
+<!ENTITY linux-size "84,884 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "a14b785efebe5aba097e832f7daad49a">
+<!ENTITY linux-md5 "58b35794eee3b6d52ce7be39357801e7">
 <!ENTITY linux-home "http://www.kernel.org/">
 <!-- measured for 3.9.0 / gcc-4.8.0 on x86_64 : minimum is
Index: patches.ent
===================================================================
--- patches.ent	(revision c81b68d1dd4d0825e2b92140e6ad8505b71888ad)
+++ patches.ent	(revision 35cc66fcba2e1b810fd7e31bc07a07852d880a25)
@@ -27,4 +27,8 @@
 <!ENTITY glibc-fhs-patch-size "2.8 KB">
 
+<!ENTITY glibc-largefile-patch "glibc-&glibc-version;-largefile-1.patch">
+<!ENTITY glibc-largefile-patch-md5 "203fe9133e82f2b59969c116b70fd84e">
+<!ENTITY glibc-largefile-patch-size "2.3 KB">
+
 <!ENTITY kbd-backspace-patch "kbd-&kbd-version;-backspace-1.patch">
 <!ENTITY kbd-backspace-patch-md5 "f75cca16a38da6caa7d52151f7136895">