Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision ec786b746e7ea3a38c1a2aa06724b6db3ad9f58a)
+++ chapter01/changelog.xml	(revision 38b705d991216e61a2a8a828cb93cecf41ea32a4)
@@ -43,4 +43,30 @@
     appropriate for the entry or if needed the entire day's listitem.
     -->
+
+    <listitem>
+      <itemizedlist>
+      <para>2020-10-01</para>
+        <listitem>
+          <para>[bdubbs] - Update to grep-3.5. Fixes
+          <ulink url="&lfs-ticket-root;4731">#4731</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to Python-3.8.6. Fixes
+          <ulink url="&lfs-ticket-root;4730">#4730</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to openssl-1.1.1h. Fixes
+          <ulink url="&lfs-ticket-root;4729">#4729</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to binutils-2.35.1. Fixes
+          <ulink url="&lfs-ticket-root;4728">#4728</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-5.8.12. Fixes
+          <ulink url="&lfs-ticket-root;4727">#4727</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision ec786b746e7ea3a38c1a2aa06724b6db3ad9f58a)
+++ chapter01/whatsnew.xml	(revision 38b705d991216e61a2a8a828cb93cecf41ea32a4)
@@ -49,7 +49,7 @@
       <para>Bc &bc-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Binutils-&binutils-version;</para>
-    </listitem>-->
+    </listitem>
     <listitem>
       <para>Bison-&bison-version;</para>
@@ -115,7 +115,7 @@
       <para>Gperf-&gperf-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Grep-&grep-version;</para>
-    </lititem>-->
+    </listitem>
     <!--<listitem>
       <para>Groff-&groff-version;</para>
@@ -196,7 +196,7 @@
       <para>Ninja-&ninja-version;</para>
     </listitem>
-    <!--<listitem>
+    <listitem>
       <para>Openssl-&openssl-version;</para>
-    </listitem>-->
+    </listitem>
     <!-- <listitem>
       <para>Patch-&patch-version;</para>
@@ -214,7 +214,7 @@
       <para>Psmisc-&psmisc-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Python-&python-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Readline-&readline-version;</para>
Index: chapter08/autoconf.xml
===================================================================
--- chapter08/autoconf.xml	(revision ec786b746e7ea3a38c1a2aa06724b6db3ad9f58a)
+++ chapter08/autoconf.xml	(revision 38b705d991216e61a2a8a828cb93cecf41ea32a4)
@@ -43,5 +43,5 @@
 
     <para>First, apply a patch fixes several problems that occur with the latest
-    perl, libtool, and bash version.</para>
+    perl, libtool, and bash versions.</para>
 
 <screen><userinput remap="pre">patch -Np1 -i ../&autoconf-fixes-patch;</userinput></screen>
Index: chapter08/python.xml
===================================================================
--- chapter08/python.xml	(revision ec786b746e7ea3a38c1a2aa06724b6db3ad9f58a)
+++ chapter08/python.xml	(revision 38b705d991216e61a2a8a828cb93cecf41ea32a4)
@@ -84,6 +84,9 @@
 <screen><userinput remap="make">make</userinput></screen>
 
-    <para>To test the results, issue <command>make test</command>.
-    Some tests requiring a network connection or additional packages are
+    <para>To test the results, issue:</para> 
+
+<screen><userinput remap="test">make test</userinput></screen>
+
+    <para>Some tests requiring a network connection or additional packages are
     skipped.  The test named test_normalization fails because network
     configuration is not completed yet.  For more comprehensive results,
Index: general.ent
===================================================================
--- general.ent	(revision ec786b746e7ea3a38c1a2aa06724b6db3ad9f58a)
+++ general.ent	(revision 38b705d991216e61a2a8a828cb93cecf41ea32a4)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20200927">
+<!ENTITY version         "SVN-20201001">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20200927-systemd">
+<!ENTITY versiond        "20201001-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "September 27th, 2020">
+<!ENTITY releasedate     "October 1st, 2020">
 
 <!ENTITY copyrightdate   "1999-2020"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: packages.ent
===================================================================
--- packages.ent	(revision ec786b746e7ea3a38c1a2aa06724b6db3ad9f58a)
+++ packages.ent	(revision 38b705d991216e61a2a8a828cb93cecf41ea32a4)
@@ -66,8 +66,8 @@
 <!ENTITY bc-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY binutils-version "2.35">
-<!ENTITY binutils-size "21,526 KB">
+<!ENTITY binutils-version "2.35.1">
+<!ENTITY binutils-size "21,516 KB">
 <!ENTITY binutils-url "&gnu;binutils/binutils-&binutils-version;.tar.xz">
-<!ENTITY binutils-md5 "fc8d55e2f6096de8ff8171173b6f5087">
+<!ENTITY binutils-md5 "7126f370ffbd46c08fcc5ce7aee2805d">
 <!ENTITY binutils-home "&gnu-software;binutils/">
 <!ENTITY binutils-tmpp1-du "617 MB">
@@ -284,8 +284,8 @@
 <!ENTITY gperf-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY grep-version "3.4">
-<!ENTITY grep-size "1,520 KB">
+<!ENTITY grep-version "3.5">
+<!ENTITY grep-size "1,550 KB">
 <!ENTITY grep-url "&gnu;grep/grep-&grep-version;.tar.xz">
-<!ENTITY grep-md5 "111b117d22d6a7d049d6ae7505e9c4d2">
+<!ENTITY grep-md5 "76c59a77281685b3f9e1417411189ce9">
 <!ENTITY grep-home "&gnu-software;grep/">
 <!ENTITY grep-tmp-du "26 MB">
@@ -418,10 +418,10 @@
 <!ENTITY linux-major-version "5">
 <!ENTITY linux-minor-version "8">
-<!ENTITY linux-patch-version "9">
+<!ENTITY linux-patch-version "12">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "111,821 KB">
+<!ENTITY linux-size "111,827 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "4d8b8af44c9d342624c036428da09ab6">
+<!ENTITY linux-md5 "c75898eb9458e4b424fa38cbe6e24cb8">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 5.8.3 / gcc-10.2.0 on x86_64 : minimum is
@@ -515,8 +515,8 @@
 <!ENTITY ninja-fin-sbu "0.2 SBU">
 
-<!ENTITY openssl-version "1.1.1g">
-<!ENTITY openssl-size "9,572 KB">
+<!ENTITY openssl-version "1.1.1h">
+<!ENTITY openssl-size "9,581 KB">
 <!ENTITY openssl-url "https://www.openssl.org/source/openssl-&openssl-version;.tar.gz">
-<!ENTITY openssl-md5 "76766e98997660138cdaf13a187bd234">
+<!ENTITY openssl-md5 "53840c70434793127a3574433494e8d3">
 <!ENTITY openssl-home "https://www.openssl.org/">
 <!ENTITY openssl-fin-du "150 MB">
@@ -574,9 +574,9 @@
      meson pages will be needed: python3.6 and python3.6m -->
 
-<!ENTITY python-version "3.8.5">
+<!ENTITY python-version "3.8.6">
 <!ENTITY python-minor "3.8">
-<!ENTITY python-size "17,598 KB">
+<!ENTITY python-size "17,807 KB">
 <!ENTITY python-url "https://www.python.org/ftp/python/&python-version;/Python-&python-version;.tar.xz">
-<!ENTITY python-md5 "35b5a3d0254c1c59be9736373d429db7">
+<!ENTITY python-md5 "69e73c49eeb1a853cefd26d18c9d069d">
 <!ENTITY python-home "https://www.python.org/">
 <!ENTITY python-tmp-du "353 MB">
@@ -585,6 +585,6 @@
 <!ENTITY python-fin-sbu "1.3 SBU">
 <!ENTITY python-docs-url "https://www.python.org/ftp/python/doc/&python-version;/python-&python-version;-docs-html.tar.bz2">
-<!ENTITY python-docs-md5 "2e0a549db8bef61733c37322368c815d">
-<!ENTITY python-docs-size "6,409 KB">
+<!ENTITY python-docs-md5 "d26efd57fa42c3b590bbea50dd3da4d3">
+<!ENTITY python-docs-size "6,425 KB">
 
 <!ENTITY readline-version "8.0">