Index: chapter05/bash-inst.xml
===================================================================
--- chapter05/bash-inst.xml	(revision 76d113f6f28b54f0b2b96104b2dcec94eeb1bcac)
+++ chapter05/bash-inst.xml	(revision 39dbad2e34e8600aeb878ffe33ad1cb9cfc22d8a)
@@ -17,5 +17,5 @@
 <para><screen><userinput>make</userinput></screen></para>
 
-<para>This package has a testsuite available which can perform a number of 
+<para>This package has a test suite available which can perform a number of
 checks to ensure it built correctly.  Should you choose to run it, the 
 following command will do so:</para>
Index: chapter05/binutils-pass1-inst.xml
===================================================================
--- chapter05/binutils-pass1-inst.xml	(revision 76d113f6f28b54f0b2b96104b2dcec94eeb1bcac)
+++ chapter05/binutils-pass1-inst.xml	(revision 39dbad2e34e8600aeb878ffe33ad1cb9cfc22d8a)
@@ -9,5 +9,5 @@
 
 <note><para>Even though Binutils is an important toolchain package, we are not
-going to run the testsuite at this early stage. First, the testsuite framework
+going to run the test suite at this early stage. First, the test suite framework
 is not yet in place and second, the programs from this first pass will soon be
 overwritten by those installed in the second pass.</para></note>
Index: chapter05/binutils-pass2-inst.xml
===================================================================
--- chapter05/binutils-pass2-inst.xml	(revision 76d113f6f28b54f0b2b96104b2dcec94eeb1bcac)
+++ chapter05/binutils-pass2-inst.xml	(revision 39dbad2e34e8600aeb878ffe33ad1cb9cfc22d8a)
@@ -4,5 +4,5 @@
 <title>Re-installation of Binutils</title>
 
-<note><para>It's worth noting that the Binutils testsuite we run in this
+<note><para>It's worth noting that the Binutils test suite we run in this
 chapter is considered not as critical as the one we run in Chapter 6.</para>
 </note>
Index: chapter05/coreutils-inst.xml
===================================================================
--- chapter05/coreutils-inst.xml	(revision 76d113f6f28b54f0b2b96104b2dcec94eeb1bcac)
+++ chapter05/coreutils-inst.xml	(revision 39dbad2e34e8600aeb878ffe33ad1cb9cfc22d8a)
@@ -12,5 +12,5 @@
 <para><screen><userinput>make</userinput></screen></para>
 
-<para>This package has a testsuite available which can perform a number of 
+<para>This package has a test suite available which can perform a number of
 checks to ensure it built correctly.  Should you choose to run it, the 
 following command will do so:</para>
Index: chapter05/expect-inst.xml
===================================================================
--- chapter05/expect-inst.xml	(revision 76d113f6f28b54f0b2b96104b2dcec94eeb1bcac)
+++ chapter05/expect-inst.xml	(revision 39dbad2e34e8600aeb878ffe33ad1cb9cfc22d8a)
@@ -19,5 +19,5 @@
 <para><screen><userinput>make</userinput></screen></para>
 
-<para>This package has a testsuite available which can perform a number of 
+<para>This package has a test suite available which can perform a number of
 checks to ensure it built correctly.  Should you choose to run it, the 
 following command will do so:</para>
Index: chapter05/findutils-inst.xml
===================================================================
--- chapter05/findutils-inst.xml	(revision 76d113f6f28b54f0b2b96104b2dcec94eeb1bcac)
+++ chapter05/findutils-inst.xml	(revision 39dbad2e34e8600aeb878ffe33ad1cb9cfc22d8a)
@@ -12,5 +12,5 @@
 <para><screen><userinput>make </userinput></screen></para>
 
-<para>This package has a testsuite available which can perform a number of 
+<para>This package has a test suite available which can perform a number of
 checks to ensure it built correctly.  Should you choose to run it, the 
 following command will do so:</para>
Index: chapter05/gawk-inst.xml
===================================================================
--- chapter05/gawk-inst.xml	(revision 76d113f6f28b54f0b2b96104b2dcec94eeb1bcac)
+++ chapter05/gawk-inst.xml	(revision 39dbad2e34e8600aeb878ffe33ad1cb9cfc22d8a)
@@ -12,5 +12,5 @@
 <para><screen><userinput>make</userinput></screen></para>
 
-<para>This package has a testsuite available which can perform a number of
+<para>This package has a test suite available which can perform a number of
 checks to ensure it built correctly. Should you choose to run it, the
 following command will do so:</para>
Index: chapter05/gcc-pass1-inst.xml
===================================================================
--- chapter05/gcc-pass1-inst.xml	(revision 76d113f6f28b54f0b2b96104b2dcec94eeb1bcac)
+++ chapter05/gcc-pass1-inst.xml	(revision 39dbad2e34e8600aeb878ffe33ad1cb9cfc22d8a)
@@ -8,5 +8,5 @@
 
 <note><para>Even though GCC is an important toolchain package, we are not
-going to run the testsuite at this early stage. First, the testsuite framework
+going to run the test suite at this early stage. First, the test suite framework
 is not yet in place and second, the programs from this first pass will soon be
 overwritten by those installed in the second pass.</para></note>
Index: chapter05/gcc-pass2-inst.xml
===================================================================
--- chapter05/gcc-pass2-inst.xml	(revision 76d113f6f28b54f0b2b96104b2dcec94eeb1bcac)
+++ chapter05/gcc-pass2-inst.xml	(revision 39dbad2e34e8600aeb878ffe33ad1cb9cfc22d8a)
@@ -12,5 +12,5 @@
 these tests to fail.</para>
 
-<note><para>It's worth noting that the GCC testsuite we run in this chapter is
+<note><para>It's worth noting that the GCC test suite we run in this chapter is
 considered not as critical as the one we run in Chapter 6.</para></note>
 
Index: chapter05/gettext-inst.xml
===================================================================
--- chapter05/gettext-inst.xml	(revision 76d113f6f28b54f0b2b96104b2dcec94eeb1bcac)
+++ chapter05/gettext-inst.xml	(revision 39dbad2e34e8600aeb878ffe33ad1cb9cfc22d8a)
@@ -12,5 +12,5 @@
 <para><screen><userinput>make </userinput></screen></para>
 
-<para>This package has a testsuite available which can perform a number of 
+<para>This package has a test suite available which can perform a number of
 checks to ensure it built correctly.  Should you choose to run it, the 
 following command will do so:</para>
Index: chapter05/glibc-inst.xml
===================================================================
--- chapter05/glibc-inst.xml	(revision 76d113f6f28b54f0b2b96104b2dcec94eeb1bcac)
+++ chapter05/glibc-inst.xml	(revision 39dbad2e34e8600aeb878ffe33ad1cb9cfc22d8a)
@@ -9,6 +9,6 @@
 you would normally do.</para>
 
-<note><para>We are going to run the testsuite for Glibc in this chapter.
-However, it's worth noting that the Glibc testsuite we run in this chapter is
+<note><para>We are going to run the test suite for Glibc in this chapter.
+However, it's worth noting that the Glibc test suite we run in this chapter is
 considered not as critical as the one we run in Chapter 6.</para></note>
 
Index: chapter05/grep-inst.xml
===================================================================
--- chapter05/grep-inst.xml	(revision 76d113f6f28b54f0b2b96104b2dcec94eeb1bcac)
+++ chapter05/grep-inst.xml	(revision 39dbad2e34e8600aeb878ffe33ad1cb9cfc22d8a)
@@ -25,5 +25,5 @@
 <para><screen><userinput>make </userinput></screen></para>
 
-<para>This package has a testsuite available which can perform a number of 
+<para>This package has a test suite available which can perform a number of
 checks to ensure it built correctly.  Should you choose to run it, the 
 following command will do so:</para>
Index: chapter05/make-inst.xml
===================================================================
--- chapter05/make-inst.xml	(revision 76d113f6f28b54f0b2b96104b2dcec94eeb1bcac)
+++ chapter05/make-inst.xml	(revision 39dbad2e34e8600aeb878ffe33ad1cb9cfc22d8a)
@@ -12,5 +12,5 @@
 <para><screen><userinput>make </userinput></screen></para>
 
-<para>This package has a testsuite available which can perform a number of 
+<para>This package has a test suite available which can perform a number of
 checks to ensure it built correctly.  Should you choose to run it, the 
 following command will do so:</para>
Index: chapter05/sed-inst.xml
===================================================================
--- chapter05/sed-inst.xml	(revision 76d113f6f28b54f0b2b96104b2dcec94eeb1bcac)
+++ chapter05/sed-inst.xml	(revision 39dbad2e34e8600aeb878ffe33ad1cb9cfc22d8a)
@@ -12,5 +12,5 @@
 <para><screen><userinput>make </userinput></screen></para>
 
-<para>This package has a testsuite available which can perform a number of 
+<para>This package has a test suite available which can perform a number of
 checks to ensure it built correctly.  Should you choose to run it, the 
 following command will do so:</para>
Index: chapter05/tar-inst.xml
===================================================================
--- chapter05/tar-inst.xml	(revision 76d113f6f28b54f0b2b96104b2dcec94eeb1bcac)
+++ chapter05/tar-inst.xml	(revision 39dbad2e34e8600aeb878ffe33ad1cb9cfc22d8a)
@@ -12,5 +12,5 @@
 <para><screen><userinput>make </userinput></screen></para>
 
-<para>This package has a testsuite available which can perform a number of 
+<para>This package has a test suite available which can perform a number of
 checks to ensure it built correctly.  Should you choose to run it, the 
 following command will do so:</para>
Index: chapter05/tcl-inst.xml
===================================================================
--- chapter05/tcl-inst.xml	(revision 76d113f6f28b54f0b2b96104b2dcec94eeb1bcac)
+++ chapter05/tcl-inst.xml	(revision 39dbad2e34e8600aeb878ffe33ad1cb9cfc22d8a)
@@ -18,5 +18,5 @@
 <para><screen><userinput>make</userinput></screen></para>
 
-<para>This package has a testsuite available which can perform a number of 
+<para>This package has a test suite available which can perform a number of 
 checks to ensure it built correctly.  Should you choose to run it, the 
 following command will do so:</para>
@@ -24,5 +24,5 @@
 <para><screen><userinput>TZ=UTC make -k test</userinput></screen></para>
 
-<para>Sometimes, package testsuites will give false failures.  You can
+<para>Sometimes, package test suites will give false failures.  You can
 consult the LFS Wiki at <ulink url="http://wiki.linuxfromscratch.org"/>
 to verify that these failures are normal.  This applies to all tests
Index: chapter05/texinfo-inst.xml
===================================================================
--- chapter05/texinfo-inst.xml	(revision 76d113f6f28b54f0b2b96104b2dcec94eeb1bcac)
+++ chapter05/texinfo-inst.xml	(revision 39dbad2e34e8600aeb878ffe33ad1cb9cfc22d8a)
@@ -12,5 +12,5 @@
 <para><screen><userinput>make </userinput></screen></para>
 
-<para>This package has a testsuite available which can perform a number of 
+<para>This package has a test suite available which can perform a number of
 checks to ensure it built correctly.  Should you choose to run it, the 
 following command will do so:</para>