Index: chapter05/gcc-pass1.xml
===================================================================
--- chapter05/gcc-pass1.xml	(revision 0ebda1115870a5e97ea3aab8a537d95544ce74e6)
+++ chapter05/gcc-pass1.xml	(revision 43b6ecdc1fd6df576cba795798d35dc72fd6d557)
@@ -61,12 +61,10 @@
 mv -v gmp-&gmp-version; gmp
 tar -xf ../mpc-&mpc-version;.tar.gz
-mv -v mpc-&mpc-version; mpc</userinput>
-<userinput remap="pre" arch="ml_32,ml_x32,ml_all">tar -xf ../isl-&isl-version;.tar.xz
-mv -v isl-&isl-version; isl</userinput></screen>
-
-    <para arch="default">On x86_64 hosts, set the default directory name for
+mv -v mpc-&mpc-version; mpc</userinput></screen>
+
+    <para>On x86_64 hosts, set the default directory name for
     64-bit libraries to <quote>lib</quote>:</para>
 
-<screen arch="default"><userinput remap="pre">case $(uname -m) in
+<screen><userinput remap="pre">case $(uname -m) in
   x86_64)
     sed -e '/m64=/s/lib64/lib/' \
@@ -75,13 +73,5 @@
 esac</userinput></screen>
 
-    <para arch="ml_32,ml_x32,ml_all">Change the default directory name for
-    libraries:</para>
-
-<screen arch="ml_32,ml_x32,ml_all"><userinput remap="pre">sed -e '/m64=/s/lib64/lib/' \
-    -e '/m32=/s/m32=.*/m32=..\/lib32$(call if_multiarch,:i386-linux-gnu)/' \
-    -i.orig gcc/config/i386/t-linux64
-</userinput></screen>
-
-    <para>The GCC documentation recommends building GCC 
+    <para>The GCC documentation recommends building GCC
     in a dedicated build directory:</para>
 
@@ -91,49 +81,24 @@
     <para>Prepare GCC for compilation:</para>
 
-<screen arch="default"><userinput remap="configure">../configure                                       \
-    --target=$LFS_TGT                              \
-    --prefix=$LFS/tools                            \
-    --with-glibc-version=2.11                      \
-    --with-sysroot=$LFS                            \
-    --with-newlib                                  \
-    --without-headers                              \
-    --enable-initfini-array                        \
-    --disable-nls                                  \
-    --disable-shared                               \
-    --disable-multilib                             \
-    --disable-decimal-float                        \
-    --disable-threads                              \
-    --disable-libatomic                            \
-    --disable-libgomp                              \
-    --disable-libquadmath                          \
-    --disable-libssp                               \
-    --disable-libvtv                               \
-    --disable-libstdcxx                            \
+<screen><userinput remap="configure">../configure                  \
+    --target=$LFS_TGT         \
+    --prefix=$LFS/tools       \
+    --with-glibc-version=2.11 \
+    --with-sysroot=$LFS       \
+    --with-newlib             \
+    --without-headers         \
+    --enable-initfini-array   \
+    --disable-nls             \
+    --disable-shared          \
+    --disable-multilib        \
+    --disable-decimal-float   \
+    --disable-threads         \
+    --disable-libatomic       \
+    --disable-libgomp         \
+    --disable-libquadmath     \
+    --disable-libssp          \
+    --disable-libvtv          \
+    --disable-libstdcxx       \
     --enable-languages=c,c++</userinput></screen>
-<screen arch="ml_32,ml_x32,ml_all"><userinput remap="configure" 
-    arch="ml_32">mlist=m64,m32</userinput><userinput remap="configure"
-    arch="ml_x32">mlist=m64,mx32</userinput><userinput remap="configure"
-    arch="ml_all">mlist=m64,m32,mx32</userinput>
-<userinput remap="configure">../configure                                       \
-    --target=$LFS_TGT                              \
-    --prefix=$LFS/tools                            \
-    --with-glibc-version=2.11                      \
-    --with-sysroot=$LFS                            \
-    --with-newlib                                  \
-    --without-headers                              \
-    --enable-initfini-array                        \
-    --disable-nls                                  \
-    --disable-shared                               \
-    --enable-multilib --with-multilib-list=$mlist  \
-    --disable-decimal-float                        \
-    --disable-threads                              \
-    --disable-libatomic                            \
-    --disable-libgomp                              \
-    --disable-libquadmath                          \
-    --disable-libssp                               \
-    --disable-libvtv                               \
-    --disable-libstdcxx                            \
-    --enable-languages=c,c++</userinput></screen>
-
     <variablelist>
       <title>The meaning of the configure options:</title>
@@ -143,5 +108,5 @@
         <listitem>
           <para>This option ensures the package will be compatible with the host's
-          version of glibc.  It is set to the minimum glibc requirement 
+          version of glibc.  It is set to the minimum glibc requirement
           specified in the <xref linkend="ch-partitioning-hostreqs"/>.</para>
         </listitem>
@@ -185,5 +150,5 @@
       </varlistentry>
 
-      <varlistentry arch="default">
+      <varlistentry>
         <term><parameter>--disable-multilib</parameter></term>
         <listitem>
@@ -192,15 +157,8 @@
         </listitem>
       </varlistentry>
-      <varlistentry arch="ml_32,ml_x32,ml_all">
-        <term><parameter>--enable-multilib --with-multilib-list=...</parameter></term>
-        <listitem>
-          <para>LFS canbe used to support multilib. Which they are is
-          specified in the multilib list.</para>
-        </listitem>
-      </varlistentry>
 
       <varlistentry>
         <term><parameter>--disable-decimal-float, --disable-threads,
-              --disable-libatomic, --disable-libgomp, 
+              --disable-libatomic, --disable-libgomp,
         --disable-libquadmath, --disable-libssp, --disable-libvtv,
         --disable-libstdcxx</parameter></term>