Index: packages.ent
===================================================================
--- packages.ent	(revision 2505b8fa21c54acb8a0fa03eb99dbee174e8ebaf)
+++ packages.ent	(revision 48a69fc83c9975536cfbc41a828747acb0a3294a)
@@ -58,8 +58,8 @@
 <!ENTITY bash-fin-sbu "1.8 SBU">
 
-<!ENTITY bc-version "3.0.3">
-<!ENTITY bc-size "198 KB">
+<!ENTITY bc-version "3.1.3">
+<!ENTITY bc-size "206 KB">
 <!ENTITY bc-url "https://github.com/gavinhoward/bc/releases/download/&bc-version;/bc-&bc-version;.tar.xz">
-<!ENTITY bc-md5 "e70c43d6f829e20ecd8c7129efe3502b">
+<!ENTITY bc-md5 "b443c2012fdfe2d7edef81d10342ae61">
 <!ENTITY bc-home "https://git.yzena.com/gavin/bc">
 <!ENTITY bc-fin-du "3.2 MB">
@@ -360,8 +360,8 @@
 <!ENTITY isl-fin-sbu "0.1 SBU">
 
-<!ENTITY kbd-version "2.2.0">
-<!ENTITY kbd-size "1,090 KB">
+<!ENTITY kbd-version "2.3.0">
+<!ENTITY kbd-size "1,074 KB">
 <!ENTITY kbd-url "https://www.kernel.org/pub/linux/utils/kbd/kbd-&kbd-version;.tar.xz">
-<!ENTITY kbd-md5 "d1d7ae0b5fb875dc082731e09cd0c8bc">
+<!ENTITY kbd-md5 "ac7ec9cedad48f4c279251cddc72008a">
 <!ENTITY kbd-home "http://ftp.altlinux.org/pub/people/legion/kbd">
 <!ENTITY kbd-fin-du "36 MB">
@@ -392,8 +392,8 @@
 <!ENTITY lfs-bootscripts-cfg-sbu "less than 0.1 SBU">
 
-<!ENTITY libcap-version "2.38">
-<!ENTITY libcap-size "116 KB">
+<!ENTITY libcap-version "2.39">
+<!ENTITY libcap-size "135 KB">
 <!ENTITY libcap-url "&kernel;linux/libs/security/linux-privs/libcap2/libcap-&libcap-version;.tar.xz">
-<!ENTITY libcap-md5 "646cb6dde87a13f9ed0228db77b03fad">
+<!ENTITY libcap-md5 "575232cb5cc8f711a5f70e111d83efb5">
 <!ENTITY libcap-home "https://sites.google.com/site/fullycapable/">
 <!ENTITY libcap-fin-du "11 MB">
@@ -426,10 +426,10 @@
 <!ENTITY linux-major-version "5">
 <!ENTITY linux-minor-version "7">
-<!ENTITY linux-patch-version "7">
+<!ENTITY linux-patch-version "8">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "110,076 KB">
+<!ENTITY linux-size "110,074 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "11c4b191621d4ad02f56b0cca2fc6b57">
+<!ENTITY linux-md5 "0b397271b0b5e55a3d6e5566e607dee5">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
@@ -481,8 +481,8 @@
 <!ENTITY man-pages-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY meson-version "0.54.3">
-<!ENTITY meson-size "1,652 KB">
+<!ENTITY meson-version "0.55.0">
+<!ENTITY meson-size "1,703 KB">
 <!ENTITY meson-url "&github;/mesonbuild/meson/releases/download/&meson-version;/meson-&meson-version;.tar.gz">
-<!ENTITY meson-md5 "4ec36e59f182ac6f890585e8baff6fe4">
+<!ENTITY meson-md5 "9dd395356f7ec6ef40e2449fc9db3771">
 <!ENTITY meson-home "https://mesonbuild.com">
 <!ENTITY meson-fin-du "33 MB">
@@ -497,8 +497,8 @@
 <!ENTITY mpc-fin-sbu "0.3 SBU">
 
-<!ENTITY mpfr-version "4.0.2">
-<!ENTITY mpfr-size "1,409 KB">
+<!ENTITY mpfr-version "4.1.0">
+<!ENTITY mpfr-size "1,490 KB">
 <!ENTITY mpfr-url "http://www.mpfr.org/mpfr-&mpfr-version;/mpfr-&mpfr-version;.tar.xz">
-<!ENTITY mpfr-md5 "320fbc4463d4c8cb1e566929d8adc4f8">
+<!ENTITY mpfr-md5 "bdd3d5efba9c17da8d83a35ec552baef">
 <!ENTITY mpfr-home "https://www.mpfr.org/">
 <!ENTITY mpfr-fin-du "36 MB">
@@ -582,9 +582,9 @@
      meson pages will be needed: python3.6 and python3.6m -->
 
-<!ENTITY python-version "3.8.3">
+<!ENTITY python-version "3.8.4">
 <!ENTITY python-minor "3.8">
-<!ENTITY python-size "17,494 KB">
+<!ENTITY python-size "17,599 KB">
 <!ENTITY python-url "https://www.python.org/ftp/python/&python-version;/Python-&python-version;.tar.xz">
-<!ENTITY python-md5 "3000cf50aaa413052aef82fd2122ca78">
+<!ENTITY python-md5 "e16df33cd7b58702e57e137f8f5d13e7">
 <!ENTITY python-home "https://www.python.org/">
 <!ENTITY python-tmp-du "397 MB">
@@ -593,6 +593,6 @@
 <!ENTITY python-fin-sbu "1.2 SBU">
 <!ENTITY python-docs-url "https://www.python.org/ftp/python/doc/&python-version;/python-&python-version;-docs-html.tar.bz2">
-<!ENTITY python-docs-md5 "2568df23eb5ad90aabab4b1e84b99fd9">
-<!ENTITY python-docs-size "6,404 KB">
+<!ENTITY python-docs-md5 "34eeff96f21f007b9a2d6e8a37d17a87">
+<!ENTITY python-docs-size "6,407 KB">
 
 <!ENTITY readline-version "8.0">
@@ -646,8 +646,8 @@
 <!ENTITY systemd-fin-sbu  "1.9 SBU">
 
-<!ENTITY sysvinit-version "2.96">
-<!ENTITY sysvinit-size "120 KB">
+<!ENTITY sysvinit-version "2.97">
+<!ENTITY sysvinit-size "124 KB">
 <!ENTITY sysvinit-url "&savannah;/releases/sysvinit/sysvinit-&sysvinit-version;.tar.xz">
-<!ENTITY sysvinit-md5 "48cebffebf2a96ab09bec14bf9976016">
+<!ENTITY sysvinit-md5 "e11bc4b3eac6e6ddee7f8306230749a9">
 <!ENTITY sysvinit-home "https://savannah.nongnu.org/projects/sysvinit">
 <!ENTITY sysvinit-fin-du "1.4 MB">
@@ -709,11 +709,11 @@
 <!ENTITY util-linux-fin-sbu "1.3 SBU">
 
-<!ENTITY vim-version "8.2.0814">
+<!ENTITY vim-version "8.2.1209">
 <!ENTITY vim-majmin "82">
 <!ENTITY vim-docdir "vim/vim82">
-<!ENTITY vim-size "14,595 KB">
+<!ENTITY vim-size "14,708 KB">
 <!--<!ENTITY vim-url "https://github.com/vim/vim/archive/v&vim-version;/vim-&vim-version;.tar.gz">-->
 <!ENTITY vim-url "&anduin-sources;/vim-&vim-version;.tar.gz">
-<!ENTITY vim-md5 "02b8b91bd2a9a97879fc60616f4eb767">
+<!ENTITY vim-md5 "1d26e64eb53f295eeaa7a15f910b9f5a">
 <!ENTITY vim-home "https://www.vim.org">
 <!ENTITY vim-fin-du "198 MB">