Index: chapter08/util-linux.xml
===================================================================
--- chapter08/util-linux.xml	(revision db2d98f7a9d866f0fa4445d0b96c74ba16302d70)
+++ chapter08/util-linux.xml	(revision 50c357d36393e8250871e98af196ba3232320264)
@@ -128,13 +128,13 @@
         <seg>addpart, agetty, blkdiscard, blkid, blkzone, blockdev, cal, cfdisk, chcpu,
         chmem, choom, chrt, col, colcrt, colrm, column, ctrlaltdel, delpart, dmesg,
-        eject, fallocate, fdformat, fdisk, fincore, findfs, findmnt, flock, fsck,
+        eject, fallocate, fdisk, fincore, findfs, findmnt, flock, fsck,
         fsck.cramfs, fsck.minix, fsfreeze, fstrim, getopt, hexdump, hwclock,
-        i386, ionice, ipcmk, ipcrm, ipcs, isosize, kill, last, lastb (link to
+        i386, ionice, ipcmk, ipcrm, ipcs, irqtop, isosize, kill, last, lastb (link to
         last), ldattach, linux32, linux64, logger, look, losetup, lsblk, lscpu,
-        lsipc, lslocks, lslogins, lsmem, lsns, mcookie, mesg, mkfs, mkfs.bfs, mkfs.cramfs, mkfs.minix, mkswap,
+        lsipc, lsirq, lslocks, lslogins, lsmem, lsns, mcookie, mesg, mkfs, mkfs.bfs, mkfs.cramfs, mkfs.minix, mkswap,
         more, mount, mountpoint, namei, nsenter, partx, pivot_root, prlimit,
         readprofile, rename, renice, resizepart, rev, rfkill, rtcwake, script,
-        scriptreplay, setarch, setsid, setterm, sfdisk, sulogin, swaplabel,
-        swapoff (link to swapon), swapon, switch_root, taskset, ul,
+        scriptlive, scriptreplay, setarch, setsid, setterm, sfdisk, sulogin, swaplabel,
+        swapoff (link to swapon), swapon, switch_root, taskset, uclampset, ul,
         umount, uname26, unshare, utmpdump, uuidd, uuidgen, uuidparse, wall, wdctl, whereis,
         wipefs, x86_64, and zramctl</seg>
@@ -371,14 +371,4 @@
       </varlistentry>
 
-      <varlistentry id="fdformat">
-        <term><command>fdformat</command></term>
-        <listitem>
-          <para>Low-level formats a floppy disk</para>
-          <indexterm zone="ch-system-util-linux fdformat">
-            <primary sortas="b-fdformat">fdformat</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="fdisk">
         <term><command>fdisk</command></term>
@@ -570,4 +560,15 @@
       </varlistentry>
 
+      <varlistentry id="irqtop">
+        <term><command>irqtop</command></term>
+        <listitem>
+          <para>Displays kernel interrupt counter information in
+          <filename>top(1)</filename> style view</para>
+          <indexterm zone="ch-system-util-linux irqtop">
+            <primary sortas="b-irqtop">irqtop</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="isosize">
         <term><command>isosize</command></term>
@@ -705,4 +706,14 @@
       </varlistentry>
 
+      <varlistentry id="lsirq">
+        <term><command>lsirq</command></term>
+        <listitem>
+          <para>Displays kernel interrupt counter information</para>
+          <indexterm zone="ch-system-util-linux lsirq">
+            <primary sortas="b-lsirq">lsirq</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="lslocks">
         <term><command>lslocks</command></term>
@@ -981,4 +992,14 @@
           <indexterm zone="ch-system-util-linux script">
             <primary sortas="b-script">script</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="scriptlive">
+        <term><command>scriptlive</command></term>
+        <listitem>
+          <para>Re-run session typescripts using timing information</para>
+          <indexterm zone="ch-system-util-linux scriptlive">
+            <primary sortas="b-scriptlive">scriptlive</primary>
           </indexterm>
         </listitem>
@@ -1089,16 +1110,4 @@
       </varlistentry>
 
-      <varlistentry id="tailf">
-        <term><command>tailf</command></term>
-        <listitem>
-          <para>Tracks the growth of a log file; displays the last 10 lines
-          of a log file, then continues displaying any new entries in the
-          log file as they are created</para>
-          <indexterm zone="ch-system-util-linux tailf">
-            <primary sortas="b-tailf">tailf</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="taskset">
         <term><command>taskset</command></term>
@@ -1107,4 +1116,15 @@
           <indexterm zone="ch-system-util-linux taskset">
             <primary sortas="b-taskset">taskset</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="uclampset">
+        <term><command>uclampset</command></term>
+        <listitem>
+          <para>Manipulate the utilization clamping attributes of the
+          system or a process</para>
+          <indexterm zone="ch-system-util-linux uclampset">
+            <primary sortas="b-uclampset">uclampset</primary>
           </indexterm>
         </listitem>