Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision ce2f9d860e1587c06f3c60078d8d018fc342b110)
+++ chapter01/changelog.xml	(revision 51b58ad4fab185b14277ea8076de1354aafcaae0)
@@ -46,4 +46,56 @@
     -->
     <listitem>
+      <para>2020-07-07</para>
+      <itemizedlist>
+        <listitem>
+          <para>[pierre] - Make libelf install in /lib, since it may be
+          needed by iproute2 before /usr is mounted (report by
+          <ulink url="http://lists.linuxfromscratch.org/pipermail/lfs-dev/2020-July/073903.html">
+          Roger</ulink>).</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>2020-07-06</para>
+      <itemizedlist>
+        <listitem>
+          <para>[pierre] - Change chapter 6 ncurses so that it matches
+          what is done in chapter 8, and add explanations.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to libcap-2.38. Fixes
+          <ulink url="&lfs-ticket-root;4683">#4683</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to linux-5.7.7. Fixes
+          <ulink url="&lfs-ticket-root;4681">#4681</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[renodr] - Update to dbus-1.12.20 (Security Update). Fixes
+          <ulink url="&lfs-ticket-root;4682">#4682</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>2020-07-04</para>
+      <itemizedlist>
+        <listitem>
+          <para>[pierre] - Remove /tools and files containing
+          {i686,x86_64}-lfs in their name at the end of chapter 8.</para>
+        </listitem>
+        <listitem>
+          <para>[pierre] - Add --host= to libstdc++-pass2, so that host
+          specific headers are installed in a host specific directory.</para>
+        </listitem>
+        <listitem>
+          <para>[pierre] - Fix temporary Python so that static libraries
+          are not installed.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <itemizedlist>
       <para>2020-07-01</para>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision ce2f9d860e1587c06f3c60078d8d018fc342b110)
+++ chapter01/whatsnew.xml	(revision 51b58ad4fab185b14277ea8076de1354aafcaae0)
@@ -67,7 +67,7 @@
       <para>DejaGNU-&dejagnu-version;</para>
     </listitem>-->
-    <!--<listitem revision="systemd">
+    <listitem revision="systemd">
       <para>D-Bus-&dbus-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Diffutils-&diffutils-version;</para>
Index: chapter06/ncurses.xml
===================================================================
--- chapter06/ncurses.xml	(revision ce2f9d860e1587c06f3c60078d8d018fc342b110)
+++ chapter06/ncurses.xml	(revision 51b58ad4fab185b14277ea8076de1354aafcaae0)
@@ -121,7 +121,31 @@
 
     <para>Install the package:</para>
-<!-- TODO: check and document -->
+
 <screen><userinput remap="install">make DESTDIR=$LFS TIC_PATH=$(pwd)/build/progs/tic install
-ln -s libncursesw.so $LFS/usr/lib/libncurses.so</userinput></screen>
+echo "INPUT(-lncursesw)" > $LFS/usr/lib/libncurses.so</userinput></screen>
+
+    <variablelist>
+      <title>The meaning of the install options:</title>
+
+      <varlistentry>
+        <term><parameter>TIC_PATH=$(pwd)/build/progs/tic</parameter></term>
+        <listitem>
+          <para>We need to pass the path of the just built
+          <command>tic</command> able to run on the building machine, so that
+          the terminal database can be created without errors.</para>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry>
+        <term><command>echo "INPUT(-lncursesw)" > $LFS/usr/lib/libncurses.so</command></term>
+        <listitem>
+          <para>The <filename>libncurses.so</filename> library is needed by
+          a few packages we will build soon. We create this small linker
+          script, as this is what is done in <xref
+          linkend="chapter-building-system"/>.</para>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
 
     <para>Move the shared libraries to the
Index: chapter07/libstdc++-pass2.xml
===================================================================
--- chapter07/libstdc++-pass2.xml	(revision ce2f9d860e1587c06f3c60078d8d018fc342b110)
+++ chapter07/libstdc++-pass2.xml	(revision 51b58ad4fab185b14277ea8076de1354aafcaae0)
@@ -63,17 +63,19 @@
     <para>Prepare libstdc++ for compilation:</para>
 
-<screen arch="default"><userinput remap="configure">../libstdc++-v3/configure           \
-    CXXFLAGS="-g -O2 -D_GNU_SOURCE" \
-    --prefix=/usr                   \
-    --disable-multilib              \
-    --disable-nls                   \
+<screen arch="default"><userinput remap="configure">
+../libstdc++-v3/configure            \
+    CXXFLAGS="-g -O2 -D_GNU_SOURCE"  \
+    --prefix=/usr                    \
+    --disable-multilib               \
+    --disable-nls                    \
+    --host=$(uname -m)-lfs-linux-gnu \
     --disable-libstdcxx-pch</userinput></screen>
-<screen arch="ml_32,ml_x32,ml_all"><userinput remap="configure">../libstdc++-v3/configure           \
-    CXXFLAGS="-g -O2 -D_GNU_SOURCE" \
-    --prefix=/usr                   \
-    --enable-multilib               \
-    --disable-nls                   \
-    --disable-libstdcxx-pch         \
-    --host=x86_64-lfs-linux-gnu</userinput></screen>
+<screen arch="ml_32,ml_x32,ml_all"><userinput remap="configure">../libstdc++-v3/configure            \
+    CXXFLAGS="-g -O2 -D_GNU_SOURCE"  \
+    --prefix=/usr                    \
+    --enable-multilib                \
+    --disable-nls                    \
+    --host=$(uname -m)-lfs-linux-gnu \
+    --disable-libstdcxx-pch</userinput></screen>
 
     <variablelist>
@@ -85,4 +87,13 @@
           <para>These flags are passed by the top level Makefile when doing
           a full build of GCC.</para>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry>
+        <term><parameter>--host=$(uname -m)-lfs-linux-gnu</parameter></term>
+        <listitem>
+          <para>We have to mimic what would happen if this package were built
+          as part of a full compiler build. This switch would be passed to
+          configure by GCC's build machinery.</para>
         </listitem>
       </varlistentry>
@@ -103,14 +114,4 @@
           will be built for every arch (m64, m32, mx32) which are
           made available in <xref linkend="ch-tools-gcc-pass1"/>.</para>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry arch="ml_32,ml_x32,ml_all">
-        <term><parameter>--host=x86_64-pc-linux-gnu</parameter></term>
-        <listitem>
-          <para>Since up to now the cross-compile tools are used. This
-          switch is set to ensure that the headers used for multilib are
-          placed in correct locations where the final system can pick
-          them up.</para>
         </listitem>
       </varlistentry>
Index: chapter07/python.xml
===================================================================
--- chapter07/python.xml	(revision ce2f9d860e1587c06f3c60078d8d018fc342b110)
+++ chapter07/python.xml	(revision 51b58ad4fab185b14277ea8076de1354aafcaae0)
@@ -53,8 +53,17 @@
     <para>Prepare Python for compilation:</para>
 
-<screen><userinput remap="configure">./configure --prefix=/usr --without-ensurepip</userinput></screen>
+<screen><userinput remap="configure">./configure --prefix=/usr   \
+            --enable-shared \
+            --without-ensurepip</userinput></screen>
 
     <variablelist>
       <title>The meaning of the configure option:</title>
+
+      <varlistentry>
+        <term><parameter>--enable-shared</parameter></term>
+        <listitem>
+          <para>This switch prevents installation of static libraries.</para>
+        </listitem>
+      </varlistentry>
 
       <varlistentry>
Index: chapter08/libelf.xml
===================================================================
--- chapter08/libelf.xml	(revision ce2f9d860e1587c06f3c60078d8d018fc342b110)
+++ chapter08/libelf.xml	(revision 51b58ad4fab185b14277ea8076de1354aafcaae0)
@@ -47,5 +47,5 @@
     <para>Prepare Libelf for compilation:</para>
 
-<screen><userinput remap="configure">./configure --prefix=/usr --disable-debuginfod</userinput></screen>
+<screen><userinput remap="configure">./configure --prefix=/usr --disable-debuginfod --libdir=/lib</userinput></screen>
 
     <para>Compile the package:</para>
@@ -63,5 +63,5 @@
 <screen><userinput remap="install">make -C libelf install
 install -vm644 config/libelf.pc /usr/lib/pkgconfig
-rm /usr/lib/libelf.a</userinput></screen>
+rm /lib/libelf.a</userinput></screen>
 
   </sect2>
Index: chapter08/revisedchroot.xml
===================================================================
--- chapter08/revisedchroot.xml	(revision ce2f9d860e1587c06f3c60078d8d018fc342b110)
+++ chapter08/revisedchroot.xml	(revision 51b58ad4fab185b14277ea8076de1354aafcaae0)
@@ -71,4 +71,15 @@
    Archive (.la) files"</ulink>.</para>
 
+   <para>The compiler built in <xref linkend="chapter-temporary-tools"/> and
+   <xref linkend="chapter-chroot-temporary-tools"/> is still partially
+   installed, and not needed anymore. Remove it with:</para>
+
+<screen><userinput>find /usr -depth -name $(uname -m)-lfs-linux-gnu\* | xargs rm -rf</userinput></screen>
+
+   <para>The <filename class="directory">/tools</filename> directory can also
+   be removed to further gain some place:</para>
+
+<screen><userinput>rm -rf /tools</userinput></screen>
+
    <para>Finally, remove the temporary 'tester' user account created at the 
    beginning of the previous chapter.</para>
Index: general.ent
===================================================================
--- general.ent	(revision ce2f9d860e1587c06f3c60078d8d018fc342b110)
+++ general.ent	(revision 51b58ad4fab185b14277ea8076de1354aafcaae0)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20200701">
+<!ENTITY version         "SVN-20200707">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20200701-systemd">
+<!ENTITY versiond        "20200707-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "July 1st, 2020">
+<!ENTITY releasedate     "July 7th, 2020">
 
 <!ENTITY copyrightdate   "1999-2020"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: packages.ent
===================================================================
--- packages.ent	(revision ce2f9d860e1587c06f3c60078d8d018fc342b110)
+++ packages.ent	(revision 51b58ad4fab185b14277ea8076de1354aafcaae0)
@@ -114,8 +114,8 @@
 <!ENTITY coreutils-fin-sbu "2.6 SBU">
 
-<!ENTITY dbus-version "1.12.18">
+<!ENTITY dbus-version "1.12.20">
 <!ENTITY dbus-size "2,048 KB">
 <!ENTITY dbus-url "https://dbus.freedesktop.org/releases/dbus/dbus-&dbus-version;.tar.gz">
-<!ENTITY dbus-md5 "4ca570c281be35d0b30ab83436712242">
+<!ENTITY dbus-md5 "dfe8a71f412e0b53be26ed4fbfdc91c4">
 <!ENTITY dbus-home "https://www.freedesktop.org/wiki/Software/dbus">
 <!ENTITY dbus-fin-du "18 MB">
@@ -392,8 +392,8 @@
 <!ENTITY lfs-bootscripts-cfg-sbu "less than 0.1 SBU">
 
-<!ENTITY libcap-version "2.36">
-<!ENTITY libcap-size "112 KB">
+<!ENTITY libcap-version "2.38">
+<!ENTITY libcap-size "116 KB">
 <!ENTITY libcap-url "&kernel;linux/libs/security/linux-privs/libcap2/libcap-&libcap-version;.tar.xz">
-<!ENTITY libcap-md5 "3d8cd4a87650cdee130691cb110c2ce2">
+<!ENTITY libcap-md5 "646cb6dde87a13f9ed0228db77b03fad">
 <!ENTITY libcap-home "https://sites.google.com/site/fullycapable/">
 <!ENTITY libcap-fin-du "11 MB">
@@ -426,10 +426,10 @@
 <!ENTITY linux-major-version "5">
 <!ENTITY linux-minor-version "7">
-<!ENTITY linux-patch-version "6">
+<!ENTITY linux-patch-version "7">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "110,070 KB">
+<!ENTITY linux-size "110,076 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "80eb1a79341d8a7d089fcf6113c1b421">
+<!ENTITY linux-md5 "11c4b191621d4ad02f56b0cca2fc6b57">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is